This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1284104 - Restrict number of replicas [NEEDINFO]
Restrict number of replicas
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Paul Weil
Xiaoli Tian
:
Depends On:
Blocks: 1435577
  Show dependency treegraph
 
Reported: 2015-11-20 16:08 EST by Eric Jones
Modified: 2017-08-23 05:01 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OSE 3.0 deployed on a RHEL7.1 Image on OpenStack Juno
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bparees: needinfo? (ccoleman)
mfojtik: needinfo? (ccoleman)


Attachments (Terms of Use)

  None (edit)
Comment 2 Dan Mace 2015-12-01 10:47:01 EST
This is a web console/UI issue: https://github.com/openshift/origin/issues/6134
Comment 3 Eric Jones 2015-12-15 17:44:39 EST
I agree that what you linked is relevant, however, the customer that raised this issue to our attention, yielding this bug, tested it via the CLI as well and still experienced the issue.

Also it seems that it is likely an issue with setting io.openshift.non-scalable as they seemed to have followed the documentation properly.
Comment 4 Eric Jones 2016-01-05 11:56:37 EST
Hi,

I noticed in the github link Dan Mace included, that a potential warning was discussed as well. Has this been discussed any further anywhere else, implemented or completely abandoned? Would it also be possible to implement a warning for the CLI? As I indicated in my last update, this issue was found using the UI AND the CLI.
Comment 5 Samuel Padgett 2016-01-05 13:25:49 EST
Not abandoned, but there was some discussion in the issue about how we want to implement it.

Adding Clayton.
Comment 18 westwin 2017-02-03 20:28:02 EST
any plan to fix this ?
Comment 19 tobias.denzler 2017-02-06 06:13:05 EST
Would also like to see this.
Comment 20 Derek Carr 2017-03-22 10:02:08 EDT
related: https://github.com/kubernetes/kubernetes/issues/33843
Comment 21 Michal Fojtik 2017-03-24 05:54:05 EDT
(In reply to Samuel Padgett from comment #5)
> Not abandoned, but there was some discussion in the issue about how we want
> to implement it.
> 
> Adding Clayton.

bump :-)
Comment 22 Michal Fojtik 2017-04-12 04:46:48 EDT
Eric, just FYI the `io.openshift.non-scalable` label on the image is not a functional label but was intented as a hint/suggestion that the replica count should be 1 for this image (typical for a standalone database images, or statefull applications etc.).

I don't think having this restriction in ReplicaSet or ReplicationController will be accepted in upstream, but I can clearly see the use case for this in StatefullSets where you still want to manage the Pod under StatefulSet because of PVC/migration/evacuation, but you never want to scale that image up as it might break terribly.

Note You need to log in before you can comment on or make changes to this bug.